# Class CIM_CalculatedRoutes
extends CIM_Dependency

This assocation makes explicit the routes that are calculated by a specific RouteCalculationService. Thus, every RouteCalculationService can have its own unique set of calculated routes. The association is not necessary in the model and has been deprecated. An instance of the general ConcreteDependency association can tie a NextHopIPRoute to a RouteCalculationService. In addition, information on how the route was derived is available in NextHopIPRoute's RouteDerivation enumeration.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_CalculatedRoutes

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_ConcreteDependency, CIM_NextHopIPRoute.RouteDerivation

Description

string

This assocation makes explicit the routes that are calculated by a specific RouteCalculationService. Thus, every RouteCalculationService can have its own unique set of calculated routes. The association is not necessary in the model and has been deprecated. An instance of the general ConcreteDependency association can tie a NextHopIPRoute to a RouteCalculationService. In addition, information on how the route was derived is available in NextHopIPRoute's RouteDerivation enumeration.

UMLPackagePath | string | CIM::Network::Routes
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_CalculatedRoutes | CIM_RouteCalculationService
Dependent | CIM_CalculatedRoutes | CIM_IPRoute

## Class Methods